Breadcrumbs

Metavault API - Get project list

GetProjects - GET

Path

/api/projects

Http Method

GET

Overview

NO LICENSE

Retrieve a list of projects that the user has read access on. Retrieve all projects if the user has administration privileges. It is possible for an admin user to get only the projects he has the rights on, see the query parameters.

Required permissions

  • Read access to projects, which means you need one of:

    • BUILD READ

    • SOURCE READ

    • VERIFY READ

    • DISTRIBUTE READ

    • configure READ

  • Or, global administration privileges: admin

Request

Query parameters

See: Metavault API - General concepts | Paging, sorting and filters

Parameter

Type

Required

Default

Description

Example

onlyAffected

bool

No

false

For an admin user, when this is true, only return the projects the user has been given explicit read rights on.

true

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "projects": [
      {
        "id": "29b7f3836401339ea3512ef50300d237",
        "name": "myproject",
        "technicalName": "myproject",
        "displayName": "My project",
        "creationDate": "2025-05-20T07:26:00.3751617",
        "numberOfHubs": 1,
        "numberOfSources": 12,
        "numberOfDataQualityControls": 90
      },
      {
        "id": "aaee4934ee01339ea3abcebecdbdecbd",
        "name": "myotherproject",
        "technicalName": "myotherproject",
        "displayName": "My OTHER project",
        "creationDate": "2025-10-11T15:24:12.8810934",
        "numberOfHubs": 0,
        "numberOfSources": 0,
        "numberOfDataQualityControls": 9
      }
    ]
  }
  "sort": [],
  "index": 0,
  "limit": 10,
  "total": 2
}
Response fields

For collection parameter responses see:Metavault API - General concepts

Field

Type

Description

_embedded.projects

array

The list of projects. For the fields of one specific project, please see: Metavault API - Create project